vec4 shortTexLod(in sampler2D smplrTex, in vec2 coord)
{
    return textureLod(smplrTex, coord, 0);
}

vec4 shorterTexLod(in sampler2D smplrTex)
{
    return textureLod(smplrTex, texcoord, 0);
}

vec4 shortTex(in sampler2D smplrTex)
{
    return texture(smplrTex, texcoord);
}


vec4 shortTexFetch(in sampler2D smplrTex, in ivec2 coord)
{
    return texelFetch(smplrTex, coord, 0);
}

vec4 shorterTexFetch(in sampler2D smplrTex)
{
    return texelFetch(smplrTex, ivec2(gl_FragCoord.xy), 0);
}

uvec4 UshorterTexFetch(in usampler2D smplrTex)
{
    return (texelFetch(smplrTex, ivec2(gl_FragCoord.xy), 0));
}